#!/bin/bash

year=`date --date '-1 month' +'%Y'`
month=`date --date '-1 month' +'%m'`

year_dir=/mondata/preview/sotc/synoptic/$year/
mkdir $year_dir
chgrp cmb-dev $year_dir
chmod 2775 $year_dir
out_dir=$year_dir/$month
mkdir $out_dir
chgrp cmb-dev $out_dir
chmod 2775 $out_dir

cd $out_dir
rm -f *png
wget -nv ftp://anonymous@filsrv.cicsnc.org/carl/monitor/synoptic/*
chgrp cmb-dev *
chmod 664 *

days_in_month=`date -d "$month/1 + 1 month - 1 day" +'%d'`
cp hgt500-namer-$year-$month'01'-$month$days_in_month'.png' /mondata/preview/sotc/national/hgtanomaly-usa/hgtanomaly-usa-$year$month'.png'
cp hgt500-namer-$year-$month'01'-$month$days_in_month-t'.png' /mondata/preview/sotc/national/hgtanomaly-usa/hgtanomaly-usa-$year$month-t'.png'
cp hgt500-global-$year-$month'01'-$month$days_in_month'.png' /mondata/preview/sotc/global/hgtanomaly-global/hgtanomaly-global-$year$month'.png'
cp hgt500-global-$year-$month'01'-$month$days_in_month-t'.png' /mondata/preview/sotc/global/hgtanomaly-global/hgtanomaly-global-$year$month-t'.png'

cd /mondata/preview/sotc/global/hgtanomaly-global/
find . -type f -user $USER -exec chmod 664 {} \;
cd /mondata/preview/sotc/national/hgtanomaly-usa/
find . -type f -user $USER -exec chmod 664 {} \;

old_year=`date --date '-2 month' +'%Y'`
old_month=`date --date '-2 month' +'%m'`
cd /mondata/preview/sotc/synoptic/reports
filename=synoptic-$year$month'.html'
if [ -f $filename ]; then
  echo $filename already exists
else
  cp -n synoptic-$old_year$old_month'.html' $filename

  sed -i "s/$old_year/$year/g" $filename
  sed -i "s./$old_month/./$month/.g" $filename
  sed -i "s/-$old_month/-$month/g" $filename

  old_month_name=`date --date '-2 month' +'%B'`
  new_month_name=`date --date '-1 month' +'%B'`
  sed -i "s/$old_month_name/$new_month_name/g" $filename

  old_days_in_month=`date -d "$old_month/1 + 1 month - 1 day" +'%d'`
  new_days_in_month=`date -d "$month/1 + 1 month - 1 day" +'%d'`
  sed -i "s/$old_days_in_month/$new_days_in_month/g" $filename

  old_month_letters=`date -d '-3 month' +'%b' | head -c 1``date -d '-2 month' +'%b' | head -c 1``date -d '-1 month' +'%b' | head -c 1`
  new_month_letters=`date -d '-2 month' +'%b' | head -c 1``date -d '-1 month' +'%b' | head -c 1``date +'%b' | head -c 1`
  sed -i "s/$old_month_letters/$new_month_letters/g" $filename
  sed -i "s/\.${old_month_letters,,}\./\.${new_month_letters,,}\./g" $filename
fi
chgrp cmb-dev $filename
chmod 664 $filename
